| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Private Member Functions | Private Attributes | Static Private Attributes

# IG::Forms::IGForm Class Reference

Summary description for FaidMessage1. More...

List of all members.

## Static Public Member Functions
static void | ReportError (string errstr)
| Reports an error (including logging, etc., dependent on the current settings).
static void | ReportError (Exception e)
| Reports an error (including logging, etc., dependent on the current settings).
static void | SetBackColorRec (Form win, Color col)
| Recursively sets background color for a window form and all its children.
static void | SetForeColorRec (Form win, Color col)
| Recursively sets foreground color for a window form and all its children.
## Static Private Member Functions
static void | basReportError (string errstr)
## Private Attributes
static int | maxerrors = 5
## Static Private Attributes
static int | numerrors = 0
| Common tools for Windows forms.

## Detailed Description

Summary description for FaidMessage1.

## Member Function Documentation

static void IG::Forms::IGForm::basReportError | ( | string | errstr | ) | `[inline, static, private]`

static void IG::Forms::IGForm::ReportError | ( | string | errstr | ) | `[inline, static]`

Reports an error (including logging, etc., dependent on the current settings).

static void IG::Forms::IGForm::ReportError | ( | Exception | e | ) | `[inline, static]`

Reports an error (including logging, etc., dependent on the current settings).

static void IG::Forms::IGForm::SetBackColorRec | ( | Form | win,
|  | Color | col
| ) |  | `[inline, static]`

Recursively sets background color for a window form and all its children.

static void IG::Forms::IGForm::SetForeColorRec | ( | Form | win,
|  | Color | col
| ) |  | `[inline, static]`

Recursively sets foreground color for a window form and all its children.

## Member Data Documentation

int IG::Forms::IGForm::numerrors = 0`[static, private]`

Common tools for Windows forms.

int IG::Forms::IGForm::maxerrors = 5`[private]`

The documentation for this class was generated from the following file:

- 00copy/form_tools.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events